#ifndef __GP2X_JOYMAP_H__
#define __GP2X_JOYMAP_H__

#define GP2X_BUTTON_UP              (0)
#define GP2X_BUTTON_DOWN            (4)
#define GP2X_BUTTON_LEFT            (2)
#define GP2X_BUTTON_RIGHT           (6)
#define GP2X_BUTTON_UPLEFT          (1)
#define GP2X_BUTTON_UPRIGHT         (7)
#define GP2X_BUTTON_DOWNLEFT        (3)
#define GP2X_BUTTON_DOWNRIGHT       (5)
#define GP2X_BUTTON_CLICK           (18)
#define GP2X_BUTTON_A               (12)
#define GP2X_BUTTON_B               (13)
#define GP2X_BUTTON_X               (14)
#define GP2X_BUTTON_Y               (15)
#define GP2X_BUTTON_L               (10)
#define GP2X_BUTTON_R               (11)
#define GP2X_BUTTON_START           (8)
#define GP2X_BUTTON_SELECT          (9)
#define GP2X_BUTTON_VOLUP           (16)
#define GP2X_BUTTON_VOLDOWN         (17)

#define GP2XMESS_BUTTON_A_INDEX         0
#define GP2XMESS_BUTTON_Y_INDEX         1
#define GP2XMESS_BUTTON_X_INDEX         2
#define GP2XMESS_BUTTON_B_INDEX         3
#define GP2XMESS_BUTTON_L_INDEX         4
#define GP2XMESS_BUTTON_R_INDEX         5
#define GP2XMESS_BUTTON_START_INDEX     6
#define GP2XMESS_BUTTON_SELECT_INDEX    7
#define GP2XMESS_BUTTON_VOLUP_INDEX     8
#define GP2XMESS_BUTTON_VOLDOWN_INDEX   9
#define GP2XMESS_BUTTON_CLICK_INDEX    10

/* Mapping for xmess */

extern int gp2x_buttons[ 11 ];

#endif   /* __GP2X_JOYMAP_H__ */
